# RUN: yaml2obj %s -o %t
# RUN: obj2yaml %t | FileCheck %s

## Check we are able to yamalize SHT_GNU_verdef section.

# CHECK:       - Name:            .gnu.version_d
# CHECK-NEXT:     Type:            SHT_GNU_verdef
# CHECK-NEXT:     Flags:           [ SHF_ALLOC ]
# CHECK-NEXT:     Address:         0x0000000000000230
# CHECK-NEXT:     Link:            .dynstr
# CHECK-NEXT:     AddressAlign:    0x0000000000000004
# CHECK-NEXT:     Info:            0x0000000000000004
# CHECK-NEXT:     Entries:
# CHECK-NEXT:       - Version:         1
# CHECK-NEXT:         Flags:           1
# CHECK-NEXT:         VersionNdx:      1
# CHECK-NEXT:         Hash:            170240160
# CHECK-NEXT:         Names:
# CHECK-NEXT:           - dso.so.0
# CHECK-NEXT:       - Version:         1
# CHECK-NEXT:         Flags:           2
# CHECK-NEXT:         VersionNdx:      2
# CHECK-NEXT:         Hash:            108387921
# CHECK-NEXT:         Names:
# CHECK-NEXT:           - VERSION_1
# CHECK-NEXT:       - Version:         1
# CHECK-NEXT:         Flags:           3
# CHECK-NEXT:         VersionNdx:      3
# CHECK-NEXT:         Hash:            108387922
# CHECK-NEXT:         Names:
# CHECK-NEXT:           - VERSION_2
# CHECK-NEXT:           - VERSION_3

--- !ELF
FileHeader:
  Class:           ELFCLASS64
  Data:            ELFDATA2LSB
  Type:            ET_DYN
  Machine:         EM_X86_64
  Entry:           0x0000000000001000
Sections:
  - Name:            .gnu.version_d
    Type:            SHT_GNU_verdef
    Flags:           [ SHF_ALLOC ]
    Address:         0x0000000000000230
    Link:            .dynstr
    AddressAlign:    0x0000000000000004
    Info:            0x0000000000000004
    Entries:
      - Version:         1
        Flags:           1
        VersionNdx:      1
        Hash:            170240160
        Names:
          - dso.so.0
      - Version:         1
        Flags:           2
        VersionNdx:      2
        Hash:            108387921
        Names:
          - VERSION_1
      - Version:         1
        Flags:           3
        VersionNdx:      3
        Hash:            108387922
        Names:
          - VERSION_2
          - VERSION_3
DynamicSymbols:
  - Name:    foo
    Binding: STB_GLOBAL
...
